
From: William Lee Irwin III <wli@holomorphy.com>

Minor aio correction split off from suparna's patches:

Use the dedicated aio workqueue, not keventd, in order to isolate the rest
of the system from aio's demands.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/fs/aio.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN fs/aio.c~use-aio-workqueue-in-fs-aioc fs/aio.c
--- 25/fs/aio.c~use-aio-workqueue-in-fs-aioc	2004-06-01 00:20:13.697265288 -0700
+++ 25-akpm/fs/aio.c	2004-06-01 00:20:16.327865376 -0700
@@ -608,7 +608,7 @@ void fastcall kick_iocb(struct kiocb *io
 		spin_lock_irqsave(&ctx->ctx_lock, flags);
 		list_add_tail(&iocb->ki_run_list, &ctx->run_list);
 		spin_unlock_irqrestore(&ctx->ctx_lock, flags);
-		schedule_work(&ctx->wq);
+		queue_work(aio_wq, &ctx->wq);
 	}
 }
 
_
